Bug 1731880 - [DOCS] require explanation on the installation process for UPI installation.
Summary: [DOCS] require explanation on the installation process for UPI installation.
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.1.z
Assignee: Cody Hoag
QA Contact: David Sanz
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-22 09:24 UTC by Sudarshan Chaudhari
Modified: 2020-09-24 14:13 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-18 14:15:46 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Sudarshan Chaudhari 2019-07-22 09:24:28 UTC
Document URL: 

For vSphere:
https://docs.openshift.com/container-platform/4.1/installing/installing_vsphere/installing-vsphere.html#installation-infrastructure-user-infra_installing-vsphere

For BareMetal:
https://docs.openshift.com/container-platform/4.1/installing/installing_bare_metal/installing-bare-metal.html#installation-infrastructure-user-infra_installing-bare-metal
Section Number and Name: 

Describe the issue: 

While Deploying the UPI 4.1 cluster we are expected to create the infrastructure, and setup the DNS to point the api, api-int, etcd-x and *.apps.

For *.apps wildcard, we can setup the DNS as we are aware of the LB address. 

But as we cannot make the static config to the Hosts via ignition config, it is not getting clear how we should do the dns mapping as the hosts are expected to take the IP address from DHCP and we cannot get it till we boot the host. 

For now, Once we power on the hosts and once we get the IP's then we can make the DNS config. 

Can we have a short Example which we can use as a guide while setting up the infrastructure just like we have example inventory file for OCP 3.11[1]?


[1] https://docs.openshift.com/container-platform/3.11/install/example_inventories.html


Suggestions for improvement: 

It would be much easier if we can have a demo process to set up the infrastructure.


Note You need to log in before you can comment on or make changes to this bug.